| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
Header_t Struct Reference
eProsima Fast DDS API Reference » RTPS » Common Module.

Structure Header_t, RTPS Message Header Structure. More...

`#include <RTPS_messages.hpp>`

## Public Member Functions

| Header_t ()
| ~Header_t ()

## Public Attributes

ProtocolVersion_t | version
| Protocol version.
fastdds::rtps::VendorId_t | vendorId
| Vendor ID.
GuidPrefix_t | guidPrefix
| GUID prefix.

## Detailed Description

Structure Header_t, RTPS Message Header Structure.

## Constructor & Destructor Documentation

## ◆ Header_t()

Header_t | ( |  | ) |

inline

## ◆ ~Header_t()

~Header_t | ( |  | ) |

inline

## Member Data Documentation

## ◆ guidPrefix

GuidPrefix_t guidPrefix

GUID prefix.

## ◆ vendorId

fastdds::rtps::VendorId_t vendorId

Vendor ID.

## ◆ version

ProtocolVersion_t version

Protocol version.

The documentation for this struct was generated from the following file:

- include/fastdds/rtps/messages/RTPS_messages.hpp